<?php

return array
(
    # 表名
    'name' => 'stat',
    # 显示给用户看的名称
    'lang' => '用户统计',
    'order' => -100,
    'menu'	=> false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
        ), 

        'day'     => array
        (
            'type'      => 'int-11',
            'name'      => '日期',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'search'    => 'day',
            'search_button' => array
            (
            	'sum' => 'user',
            	'option' => array(
            		'day' => '按天',
	            	'week' => '按周',
	            	'month' => '按月',
            	),
            ),
            'order'     => 'desc',
            'list'      => 'Dever::showDay("{day}")',
        ),

        'user'      => array
        (
            'type'      => 'int-11',
            'name'      => '新增用户量',
            'default'   => '0',
            'desc'      => '新增用户量',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'order_user'      => array
        (
            'type'      => 'int-11',
            'name'      => '下单用户量',
            'default'   => '0',
            'desc'      => '下单用户量',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => Dever::config('base')->passport_stat_order ? true : false,
        ),

        'hb'      => array
        (
            'type'      => 'varchar-11',
            'name'      => '新增环比增长率',
            'default'   => '0',
            'desc'      => '新增环比增长率',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'Dever::load("passport/lib/manage.getHb", "{user}", "{day}")',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '生成时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'    => 'date',
            //'list'        => 'date("Y-m-d H:i:s", {cdate})',
            //'list'      => 'Dever::load("service/lib/manage.showOrderTime", "{id}")',
        ),
    ),

    'manage' => array
    (
        'delete' => false,
        'edit' => false,
        'insert' => false,
        'chart' => array
        (
        	'x' => 'day',
        	'data' => array('user'),
        ),
        'data' => array
        (
        	array('用户总量', function() {return Dever::db('passport/user')->total();}),
        	array('今日新增用户量', function() {list($start, $end) = Dever::day();return Dever::db('passport/user')->total(array('start' => $start, 'end' => $end));}),
        	array('昨日新增用户量', function() {list($start, $end) = Dever::day(1);return Dever::db('passport/user')->total(array('start' => $start, 'end' => $end));}),
        	array('本月新增用户量', function() {list($start, $end) = Dever::month();return Dever::db('passport/user')->total(array('start' => $start, 'end' => $end));}),
        ),
    ),

    'request' => array
    (
        # 获取总金额
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'start' => array('yes-day', '>='),
                'end' => array('yes-day', '<='),
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*',
        ),

        'prev' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'day' => array('yes-day', '<'),
                //'start_day' => array('yes-day', '>='),
                //'end_day' => array('yes-day', '<='),
                'state' => 1,
            ),
            'order' => array('day' => 'desc', 'id' => 'desc'),
            'type' => 'one',
            'col' => '*',
            # 允许自定义以上配置
            'config' => true,
        ),
    ),
);
