<?php
namespace Passport\Src;

use Dever;
use Passport\Lib\Base;

class Invoice  extends Base
{
    # 获取默认地址
    public function getDefault($uid)
    {
        $where['uid'] = $uid;
        $where['type'] = 2;
        $data = Dever::db('passport/invoice')->find($where);

        return $data;
    }

    # 获取某个收货地址
    public function getOne($uid, $id)
    {
        $where['uid'] = $uid;
        $where['id'] = $id;
        $data = Dever::db('passport/invoice')->find($where);

        if ($data) {
            if ($data['title_type'] == 1) {
                $data['title_type_name'] = '企业单位';
            } else {
                $data['title_type_name'] = '个人';
            }
        }

        return $data;
    }

    # 获取地址列表
    public function get($uid)
    {
        $where['uid'] = $uid;
        $data = Dever::db('passport/invoice')->getList($where);

        return $data;
    }

    # 删除和恢复
    public function del($uid, $id, $state = 2)
    {
        $info = $this->getOne($uid, $id);
        if ($info) {
            $update['where_id'] = $info['id'];
            $update['state'] = $state;
            Dever::db('passport/invoice')->update($update);
        } else {
            Dever::alert('更新失败');
        }

        return 'ok';
    }

    # 添加或者更新地址接口
    public function up()
    {
        $uid = $this->check();
        $id = Dever::input('id');
        $type = Dever::input('type', 2);
        $title_type = Dever::input('title_type');
        $title = Dever::input('title');
        $email = Dever::input('email');
        $mobile = Dever::input('mobile');
        $number = Dever::input('number');
        $phone = Dever::input('phone');
        $address = Dever::input('address');
        $bank = Dever::input('bank');
        $bank_number = Dever::input('bank_number');

        return $this->update($id, $uid, $type, $title_type, $title, $email, $mobile, $number, $phone, $address, $bank, $bank_number);
    }

    # 添加或者更新地址
    public function update($id, $uid, $type = 2, $title_type = 1, $title = '', $email = '', $mobile = '', $number = '', $phone = '', $address = '', $bank = '', $bank_number = '')
    {
        $update['title_type'] = $title_type;
        if ($title_type == 1) {
            if (!$number) {
                Dever::alert('公司税号不能为空');
            }
            $update['number'] = $number;
        }

        $update['type'] = $type;
        $update['title'] = $title;

        if (!$title) {
            Dever::alert('发票抬头不能为空');
        }

        if ($email) {
            $update['email'] = $email;
        }
        if ($mobile) {
            $update['mobile'] = $mobile;
        }
        if ($phone) {
            $update['phone'] = $phone;
        }
        if ($address) {
            $update['address'] = $address;
        }
        if ($bank) {
            $update['bank'] = $bank;
        }
        if ($bank_number) {
            $update['bank_number'] = $bank_number;
        }

        if ($type == 2) {
            Dever::db('passport/invoice')->updateType(array('where_type' => 2, 'set_type' => 1));
        }
        
        if ($id) {
            $update['where_id'] = $id;
            Dever::db('passport/invoice')->update($update);
        } else {
            $update['uid'] = $uid;
            $id = Dever::db('passport/invoice')->insert($update);
        }

        return $id;
    }
}
